Revenue Accelerator Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Servers
- URL:
https://{your-endpoint-url}
Operations
revenue_accelerator.conversation_analysis_completed
- Method:
POST - Path:
revenue_accelerator.conversation_analysis_completed - Tags: Conversations
Zoom triggers this event after the ZRA users conversation analysis is completed.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Revenue Accelerator conversations analysis completed subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the conversation.object(required)object— Information about the conversation.conversation_id(required)string— The conversation's ID.engagement_idstring— The ID of the engagement in Zoom Contact Center (ZCC) that this conversation is associated with. Present only when the conversation source is ZOOM_CONTACT_CENTER.host_idstring— The conversation host's Zoom user ID.sourcestring, possible values:"ZOOM_MEETING", "ZOOM_PHONE", "ZOOM_CONTACT_CENTER", "MICROSOFT_TEAMS", "GOOGLE_MEET", "OTHERS"— The conversation's source.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"conversation_id": "",
"source": "ZOOM_MEETING",
"host_id": "",
"engagement_id": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.playlist_remove_moment
- Method:
POST - Path:
revenue_accelerator.playlist_remove_moment - Tags: Playlist
Zoom triggers this event when a ZRA user removes a moment from a playlist.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Remove Moment From Playlist subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who removed the moment.object(required)object— Details about the removed moment.moment_id(required)string— The ID of the removed moment.playlist_id(required)string— The ID of the playlist from which the moment was removed.moment_namestring— The name of the removed moment.playlist_detail_idstring— The ID representing the relationship between the playlist and the moment.playlist_namestring— The name of the playlist from which the moment was removed.update_timeinteger— The timestamp (in milliseconds) when the moment was removed from the playlist.
operatorstring— The identifier of the user who added the moment to the playlist, represented by email.operator_idstring— The ID of the user who added the moment to the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.playlist_add_moment
- Method:
POST - Path:
revenue_accelerator.playlist_add_moment - Tags: Playlist
Zoom triggers this event when a ZRA user adds a moment to a playlist.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Add Moment To Playlist subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who added the moment to the playlist.object(required)object— Details about adding the moment to the playlist.moment_id(required)string— The ID of the moment that was added to the playlist.playlist_id(required)string— The ID of the playlist the moment was added to.moment_namestring— The name of the moment that was added to the playlist.playlist_detail_idstring— The ID representing the relationship between the playlist and the moment.playlist_namestring— The name of the playlist the moment was added to.update_timeinteger— The timestamp (in milliseconds) when the moment was added to the playlist.
operatorstring— The identifier of the user who added the moment to the playlist, represented by email.operator_idstring— The ID of the user who added the moment to the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.playlist_create
- Method:
POST - Path:
revenue_accelerator.playlist_create - Tags: Playlist
Zoom triggers this event when a ZRA user creates a playlist.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Playlist Created subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the playlist.object(required)object— Details about the created playlist.playlist_id(required)string— The ID of the created playlist.playlist_name(required)string— The name of the created playlist.playlist_type(required)string, possible values:"BASIC", "SMART"— The type of playlist created.create_timeinteger— The creation timestamp, in milliseconds.
operatorstring— The identifier of the user who created the playlist, represented by email.operator_idstring— The ID of the user who created the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_type": "BASIC",
"playlist_name": "",
"create_time": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.post_comment_completed
- Method:
POST - Path:
revenue_accelerator.post_comment_completed - Tags: Conversations
Zoom triggers this event after a ZRA user comments on a conversation.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Post Comments On Conversation subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID under which the comment was created.object(required)object— Detailed information about the comment.comment_id(required)string— The unique identifier of the comment.conversation_id(required)string— The unique identifier of the conversation being commented on.textstring— The content of the comment.
operatorstring— The identifier of the user who posted the comment, represented by email.operator_idstring— The unique identifier of the user who posted the comment.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"comment_id": "",
"conversation_id": "",
"text": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.playlist_delete
- Method:
POST - Path:
revenue_accelerator.playlist_delete - Tags: Playlist
Zoom triggers this event when a ZRA user deletes a playlist.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL
- The Playlist Deleted subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the playlist.object(required)object— Details about the deleted playlist.playlist_id(required)string— The ID of the deleted playlist.delete_timeinteger— The timestamp when the playlist was deleted, in milliseconds.playlist_namestring— The name of the deleted playlist.
operatorstring— The identifier of the user who deleted the playlist, represented by email.operator_idstring— The ID of the user who deleted the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"delete_time": 1
}
}
}Responses
Status: 200 Successfully received the webhook event.
revenue_accelerator.conversation_crm_associations_changed
- Method:
POST - Path:
revenue_accelerator.conversation_crm_associations_changed - Tags: Conversations
This event is triggered when the ZRA conversation associations with CRM objects are changed.
Prerequisites
- A Pro or higher plan.
- Event Subscriptions must be enabled for your Marketplace app with:
- A valid Event Notification Endpoint URL
- The Revenue Accelerator conversation CRM objects changed subscription must be enabled under the Revenue Accelerator event.
Request Body
Content-Type: application/json
event(required)string— The event's name.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom account ID where the changes occurred.object(required)array— Incremental changes of conversation associations with CRM objects.Items: conversation_idstring— ZRA Conversation ID.new_associationsarray— List of CRM object IDs to be associated with the conversation.Items: account_idstring— CRM account object ID.deal_idstring— CRM deal object ID.lead_idstring— CRM lead object ID.
old_associationsarray— List of CRM object IDs whose associations with the conversation will be removed.Items: account_idstring— CRM account object ID.deal_idstring— CRM deal object ID.lead_idstring— CRM lead object ID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": [
{
"conversation_id": "",
"old_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
],
"new_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
]
}
]
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Revenue_accelerator.conversation_analysis_completedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— A timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the conversation.object(required)object— Information about the conversation.conversation_id(required)string— The conversation's ID.engagement_idstring— The ID of the engagement in Zoom Contact Center (ZCC) that this conversation is associated with. Present only when the conversation source is ZOOM_CONTACT_CENTER.host_idstring— The conversation host's Zoom user ID.sourcestring, possible values:"ZOOM_MEETING", "ZOOM_PHONE", "ZOOM_CONTACT_CENTER", "MICROSOFT_TEAMS", "GOOGLE_MEET", "OTHERS"— The conversation's source.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"conversation_id": "",
"source": "ZOOM_MEETING",
"host_id": "",
"engagement_id": ""
}
}
}Revenue_accelerator.playlist_remove_momentEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who removed the moment.object(required)object— Details about the removed moment.moment_id(required)string— The ID of the removed moment.playlist_id(required)string— The ID of the playlist from which the moment was removed.moment_namestring— The name of the removed moment.playlist_detail_idstring— The ID representing the relationship between the playlist and the moment.playlist_namestring— The name of the playlist from which the moment was removed.update_timeinteger— The timestamp (in milliseconds) when the moment was removed from the playlist.
operatorstring— The identifier of the user who added the moment to the playlist, represented by email.operator_idstring— The ID of the user who added the moment to the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}Revenue_accelerator.playlist_add_momentEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who added the moment to the playlist.object(required)object— Details about adding the moment to the playlist.moment_id(required)string— The ID of the moment that was added to the playlist.playlist_id(required)string— The ID of the playlist the moment was added to.moment_namestring— The name of the moment that was added to the playlist.playlist_detail_idstring— The ID representing the relationship between the playlist and the moment.playlist_namestring— The name of the playlist the moment was added to.update_timeinteger— The timestamp (in milliseconds) when the moment was added to the playlist.
operatorstring— The identifier of the user who added the moment to the playlist, represented by email.operator_idstring— The ID of the user who added the moment to the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}Revenue_accelerator.playlist_createEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who created the playlist.object(required)object— Details about the created playlist.playlist_id(required)string— The ID of the created playlist.playlist_name(required)string— The name of the created playlist.playlist_type(required)string, possible values:"BASIC", "SMART"— The type of playlist created.create_timeinteger— The creation timestamp, in milliseconds.
operatorstring— The identifier of the user who created the playlist, represented by email.operator_idstring— The ID of the user who created the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_type": "BASIC",
"playlist_name": "",
"create_time": 1
}
}
}Revenue_accelerator.post_comment_completedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID under which the comment was created.object(required)object— Detailed information about the comment.comment_id(required)string— The unique identifier of the comment.conversation_id(required)string— The unique identifier of the conversation being commented on.textstring— The content of the comment.
operatorstring— The identifier of the user who posted the comment, represented by email.operator_idstring— The unique identifier of the user who posted the comment.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"comment_id": "",
"conversation_id": "",
"text": ""
}
}
}Revenue_accelerator.playlist_deleteEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the playlist.object(required)object— Details about the deleted playlist.playlist_id(required)string— The ID of the deleted playlist.delete_timeinteger— The timestamp when the playlist was deleted, in milliseconds.playlist_namestring— The name of the deleted playlist.
operatorstring— The identifier of the user who deleted the playlist, represented by email.operator_idstring— The ID of the user who deleted the playlist.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"delete_time": 1
}
}
}Revenue_accelerator.conversation_crm_associations_changedEvent
- Type:
object
event(required)string— The event's name.event_ts(required)integer, format:int64— The timestamp when the event occurred.payload(required)objectaccount_id(required)string— The Zoom account ID where the changes occurred.object(required)array— Incremental changes of conversation associations with CRM objects.Items: conversation_idstring— ZRA Conversation ID.new_associationsarray— List of CRM object IDs to be associated with the conversation.Items: account_idstring— CRM account object ID.deal_idstring— CRM deal object ID.lead_idstring— CRM lead object ID.
old_associationsarray— List of CRM object IDs whose associations with the conversation will be removed.Items: account_idstring— CRM account object ID.deal_idstring— CRM deal object ID.lead_idstring— CRM lead object ID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": [
{
"conversation_id": "",
"old_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
],
"new_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
]
}
]
}
}